Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Dec 2013 20:44:00 +0200

> Date: Fri, 13 Dec 2013 20:12:59 +0400
> From: Dmitry Antipov <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> >    http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00740.html
> >
> > but it was mainly about not releasing the fonts.  With the current
> > trunk, if I run that bloat-font function, after disabling the
> > compaction code, I see only a small increase in the memory footprint,
> > something like 30MB, at least on Windows.  Do you see something
> > different on X?
> 
> In that e-mail, I reported about ~360M RSS usage reduced to ~150M.
> In http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00750.html,
> Stefan has confirmed ~300M RSS usage.  Although things like bloat-font
> aren't typical use cases, holding ~200M which we can't reuse is worth
> trying to fix, IMHO.

Yes, but to fix that you installed more than just the compacting code.

In any case, if without compact_font_caches you still have such a
large increase in the memory footprint, it seems like that problem is
specific to X, while on Windows the cure is worse than the disease.
So if no other solution presents itself, I'm inclined to ifdef away
that code for Windows, if you don't mind.